Package org.eclipse.swt.events

# Interface SegmentListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

All Known Implementing Classes:
  `StructuredTextSegmentListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface SegmentListener extends SWTEventListener
This listener interface may be implemented in order to receive SegmentEvents.

Since:
  3.8
See Also:
  - `SegmentEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`getSegments(SegmentEvent event)`
This method is called when text content is being modified.

## Method Details

### getSegments

void getSegments(SegmentEvent event)
This method is called when text content is being modified.

The following event fields are used:

- event.lineText text content (input)
- event.segments text offsets for segment characters (output)
- event.segmentsChars characters that should be inserted (output, optional)

Parameters:
  `event` - the given event
See Also:
  - `SegmentEvent`